"""
Constants for the modules of the `colibri` package.
"""

# Atmospheric air pressure
ATMOSPHERIC_AIR_PRESSURE: int = 101_300  # [Pa]
# Specific heat capacities
CP_AIR: float = 1_006.0  # [J/(kg.K)]
CP_WATER: float = 4_186.0  # [J/(kg.K)]
# Volumetric air density
DENSITY_AIR: float = 1.204785775  # [kg/m³]
# Gravitational acceleration
GRAVITATIONAL_ACCELERATION: float = 9.81  # [m/s²]
# Reference air temperature
REFERENCE_AIR_TEMPERATURE: float = 20.0  # [°C]
# Ideal gas constant
RS_AIR = 287  # [J/(K⋅mol)]
# Conversion between °C and K
TEMPERATURE_CELSIUS_KELVIN_CONVERSION: float = 273.15  # [K/°C]
# Solar constant of the Earth
SOLAR_CONSTANT_OF_THE_EARTH: float = 1_367.0  # [W/m²]
